Bug 32758 - Random failure of eepro100.o module, Intel Etherexpress Pro 100,
Random failure of eepro100.o module, Intel Etherexpress Pro 100,
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 19:54 EST by D. Stimits
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Stimits 2001-03-22 19:54:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.15-config.2 i686)


Random network failure, syslog message:
kernel: eth0: card reports no resources.


Reproducible: Sometimes
Steps to Reproduce:
1. Leave the machine running for several hours with minor net traffic.
2. Rare failure, random, not predictable.
3. Monitor /var/log/messages.
	

Actual Results:  The Etherexpress Pro 100 usually works, but sometimes dies
with loss of resource error message.

Expected Results:  Ethernet card should not run out of resources.

System is SMP, BX chipset, PCI slot network card. Current kernel is 2.4.2.
Other kernels also have failed. I have seen the same error on RH 6.2 with
2.2.x kernel, integrated Etherexpress Pro 100 as well. Many occurrences of
similar bug reports can be found by web search, this is apparently an
ongoing problem. Intel URL's show only 2.2.x kernel modules:
http://support.intel.com/support/network/adapter/pro100/100Linux.htm

However, the modules being used are those native to the publicly
distributed kernels, even
in the case of 2.2.x. One web search had a possible solution, I don't know
if this will
actually work or not, nor if it is correct:
(see:
http://groups.google.com/groups?hl=en&lr=&safe=off&ic=1&th=4b393239bf3f4280&seekd=938363792#938363792)
> Jan 16 00:49:04 cd20 kernel: eth0: card reports no resources. 
> Jan 16 00:49:06 cd20 kernel: eth0: can't fill rx buffer (force 0)! 

The driver can't allocate buffers for incoming packets.
Increase /proc/sys/vm/freepages numbers to start freeing the memory earlier
and reserve more memory for allocation bursts.

Best regards
                                        Andrey V.
                                        Savochkin
Comment 1 Bill Nottingham 2001-03-22 20:33:21 EST
Can you try the kernel currently in rawhide?
Comment 2 Arjan van de Ven 2001-03-23 05:47:59 EST
Also, we do have the Intel module, it's called e100.o

Comment 3 D. Stimits 2001-04-09 00:06:27 EDT
I'm having trouble getting the 2.4.2 rawhide kernel to boot, via either make
bzdisk or the mkbootdisk
utility. I will have to try some hard drive rearrangement on the machine when I
get more time for it, and
see if that helps the failure to boot with 2.4.2 rawhide. With 2.4.3 out, if
rawhide gets an rpm there,
I can give that a try instead.

Note You need to log in before you can comment on or make changes to this bug.